Page MenuHomePhabricator

make[4]: *** No rule to make target '../data/elementary/objects/test.edj', needed by 'tests/elementary/elm_suite'
Closed, ResolvedPublic

Description

I think this is ultimately caused by how the autotools build is done. There's a big makefile in src/ which includes everything there, but test.edj is in a separate makefile and so it's impossible to resolve that dependency.

zmike created this task.Mar 29 2018, 10:02 AM
zmike triaged this task as High priority.
zmike added a subscriber: cedric.

My guess is the only way to resolve this would be to merge all makefiles into the efl/makefile.am so that dependencies can be accurately tracked across directories?

This is currently (I think) a 100% repro case if you try to run 'make check' before completing 'make'

zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:50 AM
bu5hm4n edited projects, added efl: widgets; removed Restricted Project.Jun 11 2018, 7:40 AM
bu5hm4n added a project: Restricted Project.Jun 12 2018, 8:14 AM
zmike edited projects, added Restricted Project; removed efl (efl-1.21), efl: widgets.Jun 15 2018, 7:24 AM
zmike closed this task as Wontfix.Jul 24 2018, 12:17 PM
zmike claimed this task.

Let's just ignore this and hope that a meson build system won't have as many issues.